module.exports = {
    name: 'breadcrumb-item',
	slots: [
		{
			name: 'default',
			description: 'Slot for default breadcrumb item content',
			type: []
		}
	],
	props: [
		{
			name: 'tag',
			description: 'Set the HTML tag to be used for rendering the breadcrumb item',
			type: [
				'String'
			],
			default: 'a'
		},
		{
			name: 'active',
			description: 'The active state of the breadcrumb item',
			type: [
				'Boolean'
			],
			default: 'false'
		},
		{
			name: 'disabled',
			description: 'The disabled state of the breadcrumb item',
			type: [
				'Boolean'
			],
			default: 'false'
		},
		{
			name: 'tabindex',
			description: 'The tabindex of the breadcrumb item',
			type: [
				'Number',
				'String'
			],
			default: '1'
		}
	],
    css: {
        selector: '.breadcrumb-item',
        defaults: {
            size: 'md',
            color: 'info'
        }
    }
};
